Bug 173803 - GCC4 build errors due to invalid C in asm/processor.h
GCC4 build errors due to invalid C in asm/processor.h
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 09:00 EST by Gilboa Davara
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-20 02:21:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2005-11-21 09:00:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Due to GCC4 now having strict(er) C syntax checking, asm/processor.h is generating compile errors.

In this case:
73: extern struct tss_struct init_tss[NR_CPUS];

When tss_struct is defined in:
316: struct tss_struct {
...
345:};

As the array is defined before the structure itself, GCC generates a "error: array type has incomplete element type" error.

Version-Release number of selected component (if applicable):
glibc-kernheaders-2.4-9.1.94

How reproducible:
Always

Steps to Reproduce:
1. Create a sample hello.c file.
2. Add: #include <asm/processor.h>
3. Try compiling the code.
  

Actual Results:  /usr/include/asm/processor.h:73: error: array type has incomplete element type 

Expected Results:  Clean build

Additional info:

Patch for bug? 
http://lkml.org/lkml/2005/6/12/59
Comment 1 Christian Iseli 2007-01-19 19:52:39 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Gilboa Davara 2007-01-20 02:21:23 EST
Fixed in FC5/6.

Note You need to log in before you can comment on or make changes to this bug.